Skip to main content
GET
/
api
/
v1
/
proxies
/
{proxy_id}
Get Proxy Route
curl --request GET \
  --url https://api.example.com/api/v1/proxies/{proxy_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "system_prompt": "<string>",
  "intent": "<string>",
  "provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "provider": "<string>",
    "model": "<string>"
  },
  "proxy_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

proxy_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
org_id
string<uuid>
required
owner_id
string<uuid> | null
required
name
string | null
required
description
string | null
required
system_prompt
string | null
required
intent
string | null
required
status
enum<string>
required
Available options:
draft,
active
source
enum<string>
required
Available options:
auto,
manual
provider_id
string<uuid> | null
required
provider
ProxyProviderSummary · object
required
proxy_url
string
required
read-only